# WOK
TKWOK
WOKAPI

# WOKAPI_Locator Class Reference

`#include <WOKAPI_Locator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKAPI_Locator ()
Standard_EXPORT | WOKAPI_Locator (const Handle(WOKernel_Locator)&alocator)
Standard_EXPORT Standard_Boolean | IsValid () const
Standard_EXPORT void | Set (const Handle(WOKernel_Locator)&alocator)
Standard_EXPORT void | Set (const WOKAPI_Workbench &awb)
Standard_EXPORT void | Set (const WOKAPI_Session &asession, const Handle(TColStd_HSequenceOfHAsciiString)&avisibility)
Standard_EXPORT void | Reset () const
Standard_EXPORT void | Check () const
Standard_EXPORT Handle_WOKernel_Locator | Locator () const
Standard_EXPORT WOKAPI_File | Locate (const Handle(TCollection_HAsciiString)&alocatorname) const
Standard_EXPORT WOKAPI_File | Locate (const WOKAPI_Entity &anent, const Handle(TCollection_HAsciiString)&atype, const Handle(TCollection_HAsciiString)&aname) const
Standard_EXPORT WOKAPI_File | Locate (const WOKAPI_Entity &anent, const Handle(TCollection_HAsciiString)&atype) const
Standard_EXPORT void | Locate (WOKAPI_File &afile) const
Standard_EXPORT WOKAPI_Unit | LocateUnit (const Handle(TCollection_HAsciiString)&alocatorname) const

## Private Attributes

Handle_WOKernel_Locator | mylocator

## Constructor & Destructor Documentation

Standard_EXPORT WOKAPI_Locator::WOKAPI_Locator | ( |  | ) |

Standard_EXPORT WOKAPI_Locator::WOKAPI_Locator | ( | const Handle(WOKernel_Locator)& | alocator | ) |

## Member Function Documentation

Standard_EXPORT void WOKAPI_Locator::Check | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKAPI_Locator::IsValid | ( |  | ) | const

Standard_EXPORT void WOKAPI_Locator::Locate | ( | WOKAPI_File & | afile | ) | const

Standard_EXPORT WOKAPI_File WOKAPI_Locator::Locate | ( | const WOKAPI_Entity & | anent,
|  | const Handle(TCollection_HAsciiString)& | atype
| ) | const

Standard_EXPORT WOKAPI_File WOKAPI_Locator::Locate | ( | const WOKAPI_Entity & | anent,
|  | const Handle(TCollection_HAsciiString)& | atype,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | const

Standard_EXPORT WOKAPI_File WOKAPI_Locator::Locate | ( | const Handle(TCollection_HAsciiString)& | alocatorname | ) | const

Standard_EXPORT WOKAPI_Unit WOKAPI_Locator::LocateUnit | ( | const Handle(TCollection_HAsciiString)& | alocatorname | ) | const

Standard_EXPORT Handle_WOKernel_Locator WOKAPI_Locator::Locator | ( |  | ) | const

void WOKAPI_Locator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKAPI_Locator::operator new | ( | size_t | size | ) | `[inline]`

void* WOKAPI_Locator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKAPI_Locator::Reset | ( |  | ) | const

Standard_EXPORT void WOKAPI_Locator::Set | ( | const WOKAPI_Session & | asession,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | avisibility
| ) |

Standard_EXPORT void WOKAPI_Locator::Set | ( | const WOKAPI_Workbench & | awb | ) |

Standard_EXPORT void WOKAPI_Locator::Set | ( | const Handle(WOKernel_Locator)& | alocator | ) |

## Field Documentation

Handle_WOKernel_Locator WOKAPI_Locator::mylocator `[private]`

The documentation for this class was generated from the following file:

- WOKAPI_Locator.hxx